Subject: Re: bug#31841: ./pre-inst-env guix system no longer works without ~/.config/guix

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 15 Jun 2018 14:04:04 +0200

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
>> When outside of an environment containing guile-sqlite3 strace shows
>> that Guix tries to load it right before failing.  The cause here is the
>> autoloading of (guix store database), which depends on the sqlite
>> bindings.
>
> Indeed.  Commit c5a2e1ffcb029f50c4c18352cf378b61c41c625e made
> guile-sqlite3 a requirement, but ‘configure’ is supposed to error out if
> it’s not found.
>
> Mark, any idea why ‘configure’ didn’t fail for you?  What does
> ‘config.log’ say?

I have the same problem when using “pre-inst-env” outside of a
development environment.  So “configure” succeeds (when run inside “guix
enviromnent guix”), but “./pre-inst-env guix system --help” fails when
run outside of that environment.

--
Ricardo